/*
 * timer.h
 *
 * Header for timer.c routines.
 *
 * Revision history:
 *
 * 15-Mar-1996: V-0.0; created for use with pp5x.c
 * 03-Sep-1996: V-0.1; modified version used by pp.c/topic.c
 * 17-Oct-2001: V-0.2; changed for LCC/MinGW version
 * 21-Nov-2001: V-0.3; added ms_delay() macro
 *
 * Copyright (C) 1996-2001 David Tait.  All rights reserved.
 * Permission is granted to use, modify, or redistribute this software
 * so long as it is not sold or exploited for profit.
 *
 * THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT WARRANTY OF ANY KIND,
 * EITHER EXPRESSED OR IMPLIED.
 *
 */


#ifndef __TIMER_H
#define __TIMER_H

#define TICKS(us)       ((unsigned) (1.193182*(us)+1))   /* us to ticks */
#define ms_delay(ms)    us_delay((ms)*TICKS(1000))

void us_delay(int ticks);
void _us_delay(int ticks);
void reset_timer(void);

#endif /* __TIMER_H */

